import React from 'react';
import PropTypes from 'prop-types';
import { connect } from 'dva';
import {
  Select,
  Page,
} from 'react-weui';
//import styles
import 'weui';
import styles from '../IndexPage.css';
import 'react-weui/build/packages/react-weui.css';

import MyTopCard from '../../components/BaseViewBody';
class BasePage extends React.Component{
  constructor(props) {
    super(props);

    console.info(props.match.params);
  }
  componentWillMount() {
    const { dispatch } = this.props;
    dispatch({ type: 'base/getResult',payload: { pjName:this.props.match.params.pjName,datasourceName:'QueryTodayQianYue',stateName:'todayQianYue' }});
    dispatch({ type: 'base/getResult',payload: { pjName:this.props.match.params.pjName,datasourceName:'QueryTodayCheXiao',stateName:'todayCheXiao'}});
    dispatch({ type: 'base/getResult',payload: { pjName:this.props.match.params.pjName,datasourceName:'QuerySuoDingTongJi',stateName:'suoDingTongJi'}});
    dispatch({ type: 'base/getResult',payload: { pjName:this.props.match.params.pjName,datasourceName:'QueryJinDuTongJi',stateName:'jinDuTongJi'}});
    dispatch({ type: 'base/getResult',payload: { pjName:this.props.match.params.pjName,datasourceName:'QueryChengBenTongJi',stateName:'chengBenTongJi'}});
    dispatch({ type: 'base/getResult',payload: { pjName:this.props.match.params.pjName,datasourceName:'QueryShiYongFangYuanTongJi',stateName:'shiYongFangYuanTongJi'}});
    dispatch({ type: 'base/getResult',payload: { pjName:this.props.match.params.pjName,datasourceName:'QueryJiDiFangYuanTongJi',stateName:'jiDiFangYuanTongJi'}});
    dispatch({ type: 'base/getResult',payload: { pjName:this.props.match.params.pjName,datasourceName:'QueryXiaoQuTongJi',stateName:'xiaoQuTongJi'}});
  }
  render(){
    return (
      <Page>
        <div style={{padding:"0 26px", backgroundColor:"#38c5b8"}}>
          <span className={styles.myspan}>
          <Select style={{color:"#fff"}} data={[
            {
              value: `${this.props.match.params.pjName}`,
              label: `${this.props.match.params.pjName}`
            },
          ]}/>
        </span>
        </div>
        <MyTopCard search={this.props.base}/>
      </Page>
    );
  };
}

BasePage.propTypes = {
  base: PropTypes.object,
};
// 指定订阅数据，这里关联了 login
function mapStateToProps({ base }) {
  return {base};
}
export default connect(mapStateToProps)(BasePage);
